//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
    using Neo.ApplicationFramework.Common.Service;
	
    public partial class Screen1
    {
		
		void Button1_Click(System.Object sender, System.EventArgs e)
		{
			//Add the new users
			AddUsersFromTags.AddUser(Globals.Tags.A_User.Value, Globals.Tags.A_Password.Value);
			
			//After we add the users, clear out the tags
			Globals.Tags.A_Password.Value = "";
			Globals.Tags.A_User.Value = "";
		}
		
		void Button4_Click(System.Object sender, System.EventArgs e)
		{
			//Use the below code to change a password. It doesn't ask you for the old password.
			//It just changes it to the new one.
			ISecurityServiceCF securityServiceCF = ServiceContainerCF.GetService<ISecurityServiceCF>();
			securityServiceCF.ChangePassword(Globals.Tags.A_User.Value, Globals.Tags.A_Password.Value);
			//After we add the users, clear out the tags
			Globals.Tags.A_Password.Value = "";
			Globals.Tags.A_User.Value = "";
		}
    }
}
